normalize.quantiles {affy} | R Documentation

## Quantile Normalization

### Description

Using a normalization based upon quantiles, this function normalizes a matrix of probe level intensities.

### Usage

      normalize.quantiles(x,copy=TRUE)
      normalize.AffyBatch.quantiles(abatch, type=c("separate","pmonly","mmonly","together"))

### Arguments

`x` | A matrix of intensities where each column corresponds to a chip and each row is a probe.
`copy` | Make a copy of matrix before normalizing. Usually safer to work with a copy
`abatch` | An `AffyBatch`
`type` | A string specifying how the normalization should be applied. See details for more.

### Details

This method is based upon the concept of a quantile-quantile plot extended to n dimensions. No special allowances are made for outliers. If you make use of quantile normalization either through `rma` or `expresso` please cite Bolstad et al, Bioinformatics (2003).

The type arguement should be one of `"separate","pmonly","mmonly","together"` which indicates whether to normalize only one probe type (PM,MM) or both together or separately.

### Value

A normalized `AffyBatch`.

### Author(s)

Ben Bolstad, bolstad@stat.berkeley.edu

### References

Bolstad, B (2001) Probe Level Quantile Normalization of High Density Oligonucleotide Array Data. Unpublished manuscript http://oz.berkeley.edu/~bolstad/stuff/qnorm.pdf

Bolstad, B. M., Irizarry R. A., Astrand, M, and Speed, T. P. (2003) A Comparison of Normalization Methods for High Density Oligonucleotide Array Data Based on Bias and Variance. Bioinformatics 19(2) ,pp 185-193. http://www.stat.berkeley.edu/~bolstad/normalize/normalize.html

### See Also

`normalize`

[Package affy version 1.6.7 Index]